# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'

    session: true

    # ── Proxy Cloudflare — évite la boucle de redirections HTTPS ─────────────
    trusted_proxies: '127.0.0.1,REMOTE_ADDR'
    trusted_headers:
        - 'x-forwarded-for'
        - 'x-forwarded-proto'
        - 'x-forwarded-port'
        - 'x-forwarded-host'

    #esi: true
    #fragments: true

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
